---
title: HTMLMetaElement
slug: Web/API/HTMLMetaElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <strong><code>HTMLMetaElement</code></strong> interface contains descriptive metadata about a document. It inherits all of the properties and methods described in the <span class="internal">{{domxref("HTMLElement")}} interface</span>.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<table class=" standard-table">
 <thead>
  <tr>
   <th scope="col">Name</th>
   <th scope="col">Type</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>content</code></td>
   <td>{{domxref("DOMString")}}</td>
   <td>Gets or sets the value of meta-data property.</td>
  </tr>
  <tr>
   <td><code>httpEquiv</code></td>
   <td>{{domxref("DOMString")}}</td>
   <td>Gets or sets the name of an HTTP response header to define for a document.</td>
  </tr>
  <tr>
   <td><code>name</code></td>
   <td>{{domxref("DOMString")}}</td>
   <td>Gets or sets the name of a meta-data property to define for a document.</td>
  </tr>
  <tr>
   <td><code>scheme</code> {{obsolete_inline}}</td>
   <td>{{domxref("DOMString")}}</td>
   <td>Gets or sets the name of a scheme used to interpret the value of a meta-data property.</td>
  </tr>
 </tbody>
</table>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#htmlmetaelement", "HTMLMetaElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "document-metadata.html#the-meta-element", "HTMLMetaElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>The following property is now obsolete: <code>scheme</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-37041454', 'HTMLMetaElement')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-37041454', 'HTMLMetaElement')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMetaElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{HTMLElement("meta")}}</li>
</ul>
